Bug 553445 - RFE: change default GUIStyle and ColorScheme in kdm to provide more consistent look
RFE: change default GUIStyle and ColorScheme in kdm to provide more consisten...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-07 16:46 EST by redhat-bugzilla
Modified: 2010-10-29 10:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: kde-settings-4.4-15.fc13
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-29 10:23:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description redhat-bugzilla 2010-01-07 16:46:34 EST
Description of problem:
When shutting down computer and a user is logged in on a tty, a dialog is shown asking for confirmation to end those sessions. This dialog is shown using the built-in yellowish colorscheme - not pretty (for me).

Solution:
Change lines 283 & 440 in /etc/kde/kdm/kdmrc to:
283: GUIStyle=Oxygen
440: ColorScheme=Oxygen

Result:
nice consistent desktop (as far as default style oxygen is unchanged)

Additional info:

I would've provided a patch but (it's the first patch i ever made) this - even if to me the changes done reflect exactly the changes i made by hand - requires me to reinstall kde-settings-kdm, reporting /usr/share/config/kdm/kdmrc can not be opened and thus not starting kdm correctly. Changing the lines by hand does work though...

first bug i filed, don't kill me if anything is missing or sth...
Comment 1 Kevin Kofler 2010-01-08 14:29:55 EST
Using a color scheme which matches the KDM theme has been intentional so far. In the past, we even did our own color schemes for KDM to match our themes.
Comment 2 Rex Dieter 2010-02-09 19:55:31 EST
We can and should get this into f13 anyway, unless someone truly believes the yellow theme looks better?  ;)
Comment 3 Fedora Update System 2010-04-23 09:11:00 EDT
kde-settings-4.4-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kde-settings-4.4-15.fc13
Comment 4 Fedora Update System 2010-04-25 10:00:17 EDT
kde-settings-4.4-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-settings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kde-settings-4.4-15.fc13

Note You need to log in before you can comment on or make changes to this bug.